osmium::io::Decompressor Class Referenceabstract

`#include <compression.hpp>`

Inheritance diagram for osmium::io::Decompressor:
[legend]

## Public Member Functions

| Decompressor ()=default
| Decompressor (const Decompressor &)=delete
Decompressor & | operator= (const Decompressor &)=delete
| Decompressor (Decompressor &&)=delete
Decompressor & | operator= (Decompressor &&)=delete
virtual | ~Decompressor () noexcept
virtual std::string | read ()=0
virtual void | close ()=0

## Static Public Attributes

static constexpr unsigned int | input_buffer_size = 1024 * 1024

## Constructor & Destructor Documentation

osmium::io::Decompressor::Decompressor | ( |  | ) |

default

osmium::io::Decompressor::Decompressor | ( | const Decompressor & |  | ) |

delete

osmium::io::Decompressor::Decompressor | ( | Decompressor && |  | ) |

delete

virtual osmium::io::Decompressor::~Decompressor | ( |  | ) |

inline virtual noexcept

## Member Function Documentation

virtual void osmium::io::Decompressor::close | ( |  | ) |

pure virtual

Implemented in osmium::io::Bzip2BufferDecompressor, osmium::io::NoDecompressor, osmium::io::GzipBufferDecompressor, osmium::io::Bzip2Decompressor, and osmium::io::GzipDecompressor.

Decompressor& osmium::io::Decompressor::operator= | ( | const Decompressor & |  | ) |

delete

Decompressor& osmium::io::Decompressor::operator= | ( | Decompressor && |  | ) |

delete

virtual std::string osmium::io::Decompressor::read | ( |  | ) |

pure virtual

Implemented in osmium::io::NoDecompressor, osmium::io::Bzip2BufferDecompressor, osmium::io::GzipBufferDecompressor, osmium::io::Bzip2Decompressor, and osmium::io::GzipDecompressor.

## Member Data Documentation

constexpr unsigned int osmium::io::Decompressor::input_buffer_size = 1024 * 1024

static

The documentation for this class was generated from the following file:

- osmium/io/compression.hpp